<?php

namespace App\Listeners;

use App\Events\ClaimRequested;
use App\Models\User;
use App\Notifications\ClaimRequestedNotification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class NotifyClaimRequested
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  \App\Events\ClaimRequested  $event
     * @return void
     */
    public function handle(ClaimRequested $event)
    {
        // TODO List Of User that should be notified about Claim that Requested
        $user = User::first();
        $user->notify(new ClaimRequestedNotification());
    }
}
